- [HTTP request](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.mcpServers/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.mcpServers/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.mcpServers/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.mcpServers/list#body.request_body)
- [Response body](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.mcpServers/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.mcpServers/list#body.ListMcpServersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.mcpServers/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.mcpServers/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.mcpServers/list#try-it)

Lists McpServers in a given project and location.

### HTTP request

`GET https://agentregistry.googleapis.com/v1/{parent=projects/*/locations/*}/mcpServers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent value for ListMcpServersRequest. Format: `projects/{project}/locations/{location}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |
| `filter` | `string` Optional. Filtering results |
| `orderBy` | `string` Optional. Hint for how to order the results |

### Request body

The request body must be empty.

### Response body

Message for response to listing McpServers

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "mcpServers": [ { object (`https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.mcpServers#McpServer`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `mcpServers[]` | ``object (`https://docs.cloud.google.com/agent-registry/reference/rest/v1/projects.locations.mcpServers#McpServer`)`` The list of McpServers. |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-platform.read-only`
- `https://www.googleapis.com/auth/agentregistry.read-write`
- `https://www.googleapis.com/auth/agentregistry.read-only`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `agentregistry.mcpServers.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).